Update an asset valuation
PUT
/portfolio/asset-valuation/{assetValuation}Updates one or more fields (value, date, description) on an existing valuation record. Only non-null fields in the request are applied.
Path parameters
The asset valuation ID
Request body
application/json, optional · PortfolioAssetValuationUpdateRequest
{
"date": "2026-06-12T10:00:00+00:00",
"value": 1,
"description": "string",
"investor_ids": [
"string"
]
}Responses
{
"data": {
"id": 1,
"asset_id": 1,
"asset_reference": "string",
"investor": {
"id": 1,
"client_reference": "string",
"name": "string",
"guid": "string",
"email": "string",
"source": "string",
"source_id": "string",
"created_at": "2026-06-12T10:00:00+00:00",
"updated_at": "2026-06-12T10:00:00+00:00",
"deleted_at": "2026-06-12T10:00:00+00:00",
"title": "string",
"forename": "string",
"surname": "string"
},
"value": "string",
"formatted_value": "string",
"date": "string",
"currency": "string",
"description": "string",
"creation_type": "string",
"units": "string",
"total_value": "string"
}
}404
Not found
422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/asset-valuation/{assetValuation}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"date": "2026-06-12T10:00:00+00:00",
"value": 1,
"description": "string",
"investor_ids": [
"string"
]
}'